"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const get_log_1 = __importDefault(require("../js/get-log"));
const dispose = async (pool, options) => {
    const log = get_log_1.default(`resource:dispose`);
    const { destroyResource, createResource } = pool;
    log.debug(`destroying the resource`);
    await destroyResource(options);
    log.debug(`re-creating the resource`);
    await createResource(options);
    log.debug(`resource disposed successfully`);
};
exports.default = dispose;
