"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const beginTransaction = async (pool) => {
    const result = await pool.rdsDataService
        .beginTransaction({
        resourceArn: pool.dbClusterOrInstanceArn,
        secretArn: pool.awsSecretStoreArn,
        database: 'postgres'
    })
        .promise();
    const { transactionId } = result;
    return transactionId;
};
exports.default = beginTransaction;
