"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const commitTransaction = async (pool, transactionId) => {
    await pool.rdsDataService
        .commitTransaction({
        resourceArn: pool.dbClusterOrInstanceArn,
        secretArn: pool.awsSecretStoreArn,
        transactionId
    })
        .promise();
};
exports.default = commitTransaction;
