"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.STATEMENT_TIMEOUT_CODE = exports.REMAINING_CONNECTIONS_REGEXP = exports.RESPONSE_SIZE_LIMIT = exports.DATA_API_ERROR_FLAG = exports.PARTIAL_EVENT_FLAG = exports.DEFAULT_TABLE_NAME = exports.SAVE_CHUNK_SIZE = exports.LOAD_CHUNK_SIZE = exports.DEFAULT_BUCKET_SIZE = exports.BATCH_SIZE = exports.BUFFER_SIZE = exports.RESERVED_EVENT_SIZE = exports.TEXT_SQL_TYPE = exports.JSON_SQL_TYPE = exports.INT8_SQL_TYPE = exports.LONG_NUMBER_SQL_TYPE = exports.LONG_STRING_SQL_TYPE = void 0;
exports.LONG_STRING_SQL_TYPE = 'VARCHAR(190)';
exports.LONG_NUMBER_SQL_TYPE = 'BIGINT';
exports.INT8_SQL_TYPE = 'INT8';
exports.JSON_SQL_TYPE = 'jsonb';
exports.TEXT_SQL_TYPE = 'text';
exports.RESERVED_EVENT_SIZE = 66; // 3 reserved BIGINT fields with commas
exports.BUFFER_SIZE = 512 * 1024;
exports.BATCH_SIZE = 100;
exports.DEFAULT_BUCKET_SIZE = 100;
exports.LOAD_CHUNK_SIZE = 128000;
exports.SAVE_CHUNK_SIZE = 32000;
exports.DEFAULT_TABLE_NAME = '__ResolveSnapshots__';
exports.PARTIAL_EVENT_FLAG = Symbol();
exports.DATA_API_ERROR_FLAG = Symbol();
exports.RESPONSE_SIZE_LIMIT = Symbol();
exports.REMAINING_CONNECTIONS_REGEXP = /remaining connection slots/i;
exports.STATEMENT_TIMEOUT_CODE = /StatementTimeoutException/i;
